/* $Log:	skipnextpage.c,v $
 * Revision 0.8  92/11/23  19:46:59  19:46:59  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:43  02:41:43  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:41  21:48:41  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:47  16:25:47  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:04  02:46:04  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:54  12:45:54  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:29:01  17:29:01  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

#include <stdio.h>
#include "dvi.h"
#include "globals.h"
#include "macros.h"

static char rcsid[] = "$Header: skipnextpage.c,v 0.8 92/11/23 19:46:59 bt Exp $";

/*
 * This routine is used to pass over the next odd page during the first path
 * for the 'twosided' option in which the even pages are produced.
 */
skipnextpage(dvifile)
FILE	*dvifile;
{ 
	int	 k;
	long	 p;

	while (TRUE)
	{ 
		if((k = (int)getubyte(dvifile)) >= DVI_SET1) { 
			p = firstpar(dvifile, k);
			switch(k) { 
			case DVI_BOP:
				scanbop(dvifile);
				break;
			case DVI_EOP:
				return(TRUE);
				break;
			case DVI_SET_RULE:
			case DVI_PUT_RULE:
				getsquad(dvifile);
				break;
			case DVI_FNT_DEF1:
			case DVI_FNT_DEF2:
			case DVI_FNT_DEF3:
			case DVI_FNT_DEF4:
				skipfontdef(dvifile);
				break;
			case DVI_XXX1:
			case DVI_XXX2:
			case DVI_XXX3:
			case DVI_XXX4:
				while (p-- > 0)
					getubyte(dvifile);
				break;
			case DVI_POST:
				inpostamble = TRUE;
				return(FALSE);
				break;
			default:
				break;
			}
		}
	}
}
